Changeset 2908


Ignore:
Timestamp:
Sep 12, 2013 6:03:31 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r2888 r2908  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
    1089 
    10901089  --disable-pkg-config    disable use of pkg-config (if available)
    10911090  --disable-interpackage-dependencies
     
    19411940
    19421941
    1943 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1944 if test "${enable_static_standardlibs+set}" = set; then
    1945   enableval="$enable_static_standardlibs"
    1946   case "$enableval" in
    1947      no | yes | auto ) ;;
    1948      *)
    1949        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1950 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1951    { (exit 1); exit 1; }; } ;;
    1952    esac
    1953    use_static_standardlibs=$enableval
    1954 else
    1955   use_static_standardlibs=no
    1956 fi;
    1957 
    1958 
    1959 
    19601942
    19611943
     
    30953077    CFLAGS="$OPT_CFLAGS"
    30963078  fi
    3097 
    30983079else
    30993080  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32643245esac
    32653246
    3266 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3267 if test x$use_static_standardlibs != xno ; then
    3268   case $build in
    3269     *-mingw*)
    3270       static_standardlib_flag=-static
    3271       ;;
    3272     *)
    3273       static_standardlib_flag=-static-libgcc
    3274       ;;
    3275   esac
    3276   case " $LDFLAGS " in
    3277     *" $static_standardlib_flag "* ) ;;
    3278     *)
    3279     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3280 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3281     coin_save_LDFLAGS="$LDFLAGS"
    3282     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3283     cat >conftest.$ac_ext <<_ACEOF
    3284 /* confdefs.h.  */
    3285 _ACEOF
    3286 cat confdefs.h >>conftest.$ac_ext
    3287 cat >>conftest.$ac_ext <<_ACEOF
    3288 /* end confdefs.h.  */
    3289 
    3290 int
    3291 main ()
    3292 {
    3293 int i=0;
    3294   ;
    3295   return 0;
    3296 }
    3297 _ACEOF
    3298 rm -f conftest.$ac_objext conftest$ac_exeext
    3299 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3300   (eval $ac_link) 2>conftest.er1
    3301   ac_status=$?
    3302   grep -v '^ *+' conftest.er1 >conftest.err
    3303   rm -f conftest.er1
    3304   cat conftest.err >&5
    3305   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3306   (exit $ac_status); } &&
    3307          { ac_try='test -z "$ac_c_werror_flag"
    3308                          || test ! -s conftest.err'
    3309   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3310   (eval $ac_try) 2>&5
    3311   ac_status=$?
    3312   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3313   (exit $ac_status); }; } &&
    3314          { ac_try='test -s conftest$ac_exeext'
    3315   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3316   (eval $ac_try) 2>&5
    3317   ac_status=$?
    3318   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3319   (exit $ac_status); }; }; then
    3320   echo "$as_me:$LINENO: result: yes" >&5
    3321 echo "${ECHO_T}yes" >&6
    3322 else
    3323   echo "$as_me: failed program was:" >&5
    3324 sed 's/^/| /' conftest.$ac_ext >&5
    3325 
    3326 echo "$as_me:$LINENO: result: no" >&5
    3327 echo "${ECHO_T}no" >&6
    3328        LDFLAGS="$coin_save_LDFLAGS"
    3329        if test $use_static_standardlibs = yes ; then
    3330          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3331 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3332    { (exit 1); exit 1; }; }
    3333        fi
    3334 
    3335 fi
    3336 rm -f conftest.err conftest.$ac_objext \
    3337       conftest$ac_exeext conftest.$ac_ext
    3338     ;;
    3339   esac
    3340 fi
    3341 
    33423247ac_ext=c
    33433248ac_cpp='$CPP $CPPFLAGS'
     
    33603265  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33613266 esac
    3362 
    33633267
    33643268
     
    35763480
    35773481# Provide some information about the compiler.
    3578 echo "$as_me:3578:" \
     3482echo "$as_me:3482:" \
    35793483     "checking for Fortran 77 compiler version" >&5
    35803484ac_compiler=`set X $ac_compile; echo $2`
     
    39533857    FFLAGS="$OPT_FFLAGS"
    39543858  fi
    3955 
    39563859else
    39573860  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40963999esac
    40974000
    4098 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4099 if test x$use_static_standardlibs != xno ; then
    4100   case $build in
    4101     *-mingw*)
    4102       static_standardlib_flag=-static
    4103       ;;
    4104     *)
    4105       static_standardlib_flag=-static-libgfortran
    4106       ;;
    4107   esac
    4108   case " $LDFLAGS " in
    4109     *" $static_standardlib_flag "* ) ;;
    4110     *)
    4111     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4112 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4113     coin_save_LDFLAGS="$LDFLAGS"
    4114     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4115     cat >conftest.$ac_ext <<_ACEOF
    4116       program main
    4117       integer i
    4118       end
    4119 _ACEOF
    4120 rm -f conftest.$ac_objext conftest$ac_exeext
    4121 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4122   (eval $ac_link) 2>conftest.er1
    4123   ac_status=$?
    4124   grep -v '^ *+' conftest.er1 >conftest.err
    4125   rm -f conftest.er1
    4126   cat conftest.err >&5
    4127   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4128   (exit $ac_status); } &&
    4129          { ac_try='test -z "$ac_f77_werror_flag"
    4130                          || test ! -s conftest.err'
    4131   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4132   (eval $ac_try) 2>&5
    4133   ac_status=$?
    4134   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4135   (exit $ac_status); }; } &&
    4136          { ac_try='test -s conftest$ac_exeext'
    4137   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4138   (eval $ac_try) 2>&5
    4139   ac_status=$?
    4140   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4141   (exit $ac_status); }; }; then
    4142   echo "$as_me:$LINENO: result: yes" >&5
    4143 echo "${ECHO_T}yes" >&6
    4144 else
    4145   echo "$as_me: failed program was:" >&5
    4146 sed 's/^/| /' conftest.$ac_ext >&5
    4147 
    4148 echo "$as_me:$LINENO: result: no" >&5
    4149 echo "${ECHO_T}no" >&6
    4150        LDFLAGS="$coin_save_LDFLAGS"
    4151        if test $use_static_standardlibs = yes ; then
    4152          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4153 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4154    { (exit 1); exit 1; }; }
    4155        fi
    4156 
    4157 fi
    4158 rm -f conftest.err conftest.$ac_objext \
    4159       conftest$ac_exeext conftest.$ac_ext
    4160     ;;
    4161   esac
    4162 fi
    4163 
    41644001ac_ext=c
    41654002ac_cpp='$CPP $CPPFLAGS'
     
    42244061ac_save_FFLAGS=$FFLAGS
    42254062FFLAGS="$FFLAGS $ac_verb"
    4226 (eval echo $as_me:4226: \"$ac_link\") >&5
     4063(eval echo $as_me:4063: \"$ac_link\") >&5
    42274064ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42284065echo "$ac_f77_v_output" >&5
     
    43024139ac_save_FFLAGS=$FFLAGS
    43034140FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4304 (eval echo $as_me:4304: \"$ac_link\") >&5
     4141(eval echo $as_me:4141: \"$ac_link\") >&5
    43054142ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43064143echo "$ac_f77_v_output" >&5
     
    1031310150*-*-irix6*)
    1031410151  # Find out which ABI we are using.
    10315   echo '#line 10315 "configure"' > conftest.$ac_ext
     10152  echo '#line 10152 "configure"' > conftest.$ac_ext
    1031610153  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1031710154  (eval $ac_compile) 2>&5
     
    1279012627   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1279112628   -e 's:$: $lt_compiler_flag:'`
    12792    (eval echo "\"\$as_me:12792: $lt_compile\"" >&5)
     12629   (eval echo "\"\$as_me:12629: $lt_compile\"" >&5)
    1279312630   (eval "$lt_compile" 2>conftest.err)
    1279412631   ac_status=$?
    1279512632   cat conftest.err >&5
    12796    echo "$as_me:12796: \$? = $ac_status" >&5
     12633   echo "$as_me:12633: \$? = $ac_status" >&5
    1279712634   if (exit $ac_status) && test -s "$ac_outfile"; then
    1279812635     # The compiler can only warn and ignore the option if not recognized
     
    1305812895   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1305912896   -e 's:$: $lt_compiler_flag:'`
    13060    (eval echo "\"\$as_me:13060: $lt_compile\"" >&5)
     12897   (eval echo "\"\$as_me:12897: $lt_compile\"" >&5)
    1306112898   (eval "$lt_compile" 2>conftest.err)
    1306212899   ac_status=$?
    1306312900   cat conftest.err >&5
    13064    echo "$as_me:13064: \$? = $ac_status" >&5
     12901   echo "$as_me:12901: \$? = $ac_status" >&5
    1306512902   if (exit $ac_status) && test -s "$ac_outfile"; then
    1306612903     # The compiler can only warn and ignore the option if not recognized
     
    1316212999   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1316313000   -e 's:$: $lt_compiler_flag:'`
    13164    (eval echo "\"\$as_me:13164: $lt_compile\"" >&5)
     13001   (eval echo "\"\$as_me:13001: $lt_compile\"" >&5)
    1316513002   (eval "$lt_compile" 2>out/conftest.err)
    1316613003   ac_status=$?
    1316713004   cat out/conftest.err >&5
    13168    echo "$as_me:13168: \$? = $ac_status" >&5
     13005   echo "$as_me:13005: \$? = $ac_status" >&5
    1316913006   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1317013007   then
     
    1557915416  lt_status=$lt_dlunknown
    1558015417  cat > conftest.$ac_ext <<EOF
    15581 #line 15581 "configure"
     15418#line 15418 "configure"
    1558215419#include "confdefs.h"
    1558315420
     
    1567915516  lt_status=$lt_dlunknown
    1568015517  cat > conftest.$ac_ext <<EOF
    15681 #line 15681 "configure"
     15518#line 15518 "configure"
    1568215519#include "confdefs.h"
    1568315520
     
    1803917876   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804017877   -e 's:$: $lt_compiler_flag:'`
    18041    (eval echo "\"\$as_me:18041: $lt_compile\"" >&5)
     17878   (eval echo "\"\$as_me:17878: $lt_compile\"" >&5)
    1804217879   (eval "$lt_compile" 2>conftest.err)
    1804317880   ac_status=$?
    1804417881   cat conftest.err >&5
    18045    echo "$as_me:18045: \$? = $ac_status" >&5
     17882   echo "$as_me:17882: \$? = $ac_status" >&5
    1804617883   if (exit $ac_status) && test -s "$ac_outfile"; then
    1804717884     # The compiler can only warn and ignore the option if not recognized
     
    1814317980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1814417981   -e 's:$: $lt_compiler_flag:'`
    18145    (eval echo "\"\$as_me:18145: $lt_compile\"" >&5)
     17982   (eval echo "\"\$as_me:17982: $lt_compile\"" >&5)
    1814617983   (eval "$lt_compile" 2>out/conftest.err)
    1814717984   ac_status=$?
    1814817985   cat out/conftest.err >&5
    18149    echo "$as_me:18149: \$? = $ac_status" >&5
     17986   echo "$as_me:17986: \$? = $ac_status" >&5
    1815017987   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1815117988   then
     
    1971319550   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1971419551   -e 's:$: $lt_compiler_flag:'`
    19715    (eval echo "\"\$as_me:19715: $lt_compile\"" >&5)
     19552   (eval echo "\"\$as_me:19552: $lt_compile\"" >&5)
    1971619553   (eval "$lt_compile" 2>conftest.err)
    1971719554   ac_status=$?
    1971819555   cat conftest.err >&5
    19719    echo "$as_me:19719: \$? = $ac_status" >&5
     19556   echo "$as_me:19556: \$? = $ac_status" >&5
    1972019557   if (exit $ac_status) && test -s "$ac_outfile"; then
    1972119558     # The compiler can only warn and ignore the option if not recognized
     
    1981719654   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1981819655   -e 's:$: $lt_compiler_flag:'`
    19819    (eval echo "\"\$as_me:19819: $lt_compile\"" >&5)
     19656   (eval echo "\"\$as_me:19656: $lt_compile\"" >&5)
    1982019657   (eval "$lt_compile" 2>out/conftest.err)
    1982119658   ac_status=$?
    1982219659   cat out/conftest.err >&5
    19823    echo "$as_me:19823: \$? = $ac_status" >&5
     19660   echo "$as_me:19660: \$? = $ac_status" >&5
    1982419661   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1982519662   then
     
    2202421861   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2202521862   -e 's:$: $lt_compiler_flag:'`
    22026    (eval echo "\"\$as_me:22026: $lt_compile\"" >&5)
     21863   (eval echo "\"\$as_me:21863: $lt_compile\"" >&5)
    2202721864   (eval "$lt_compile" 2>conftest.err)
    2202821865   ac_status=$?
    2202921866   cat conftest.err >&5
    22030    echo "$as_me:22030: \$? = $ac_status" >&5
     21867   echo "$as_me:21867: \$? = $ac_status" >&5
    2203121868   if (exit $ac_status) && test -s "$ac_outfile"; then
    2203221869     # The compiler can only warn and ignore the option if not recognized
     
    2229222129   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2229322130   -e 's:$: $lt_compiler_flag:'`
    22294    (eval echo "\"\$as_me:22294: $lt_compile\"" >&5)
     22131   (eval echo "\"\$as_me:22131: $lt_compile\"" >&5)
    2229522132   (eval "$lt_compile" 2>conftest.err)
    2229622133   ac_status=$?
    2229722134   cat conftest.err >&5
    22298    echo "$as_me:22298: \$? = $ac_status" >&5
     22135   echo "$as_me:22135: \$? = $ac_status" >&5
    2229922136   if (exit $ac_status) && test -s "$ac_outfile"; then
    2230022137     # The compiler can only warn and ignore the option if not recognized
     
    2239622233   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2239722234   -e 's:$: $lt_compiler_flag:'`
    22398    (eval echo "\"\$as_me:22398: $lt_compile\"" >&5)
     22235   (eval echo "\"\$as_me:22235: $lt_compile\"" >&5)
    2239922236   (eval "$lt_compile" 2>out/conftest.err)
    2240022237   ac_status=$?
    2240122238   cat out/conftest.err >&5
    22402    echo "$as_me:22402: \$? = $ac_status" >&5
     22239   echo "$as_me:22239: \$? = $ac_status" >&5
    2240322240   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2240422241   then
Note: See TracChangeset for help on using the changeset viewer.